local Grid2StatusIgnoredOptions = {}
Grid2Options.plugins["Grid2StatusIgnoredOptions"] = Grid2StatusIgnoredOptions

local L = LibStub("AceLocale-3.0"):GetLocale("Grid2Options")
local DBL = LibStub:GetLibrary("LibDBLayers-1.0")

function Grid2StatusIgnoredOptions.UpgradeDefaults(dblData)
	local versionsSrc = dblData.versionsSrc

	if (versionsSrc.Grid2StatusIgnoredOptions < 1) then
		DBL:SetupLayerObject(dblData, "statuses", "account", "ignored", {type = "ignored", color1 = {r=.5,g=.5,b=.5,a=1}})
		DBL:SetupMapObject(dblData, "statusMap", "account", "text-down", "ignored", 40)
		DBL:SetupMapObject(dblData, "statusMap", "account", "text-down-color", "ignored", 40)
		versionsSrc.Grid2StatusIgnoredOptions = 1
	end
end

local prev_MakeStatusOptions = Grid2Options.MakeStatusOptions
function Grid2Options:MakeStatusOptions(dblData, reset, ...)
	self:AddOptionHandler("ignored", Grid2Options.MakeStatusStandardOptions)

	prev_MakeStatusOptions(self, dblData, reset, ...)
end

